Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.auth
Interface IGroup

public interface IGroup

An interface that allows a synchronization service to query for the users and groups under a group.

Method Summary
`ChildGroupList` | `getChildGroups()` Returns a `ChildGroupList` object with an array of `ChildGroup`s inside.
`ChildUserList` | `getChildUsers()` Returns a `ChildUserList` object with an array of `ChildUser`s inside.

Method Detail

### getChildGroups

    public ChildGroupList getChildGroups()
                                  throws ServiceException

  Returns a `ChildGroupList` object with an array of `ChildGroup`s inside. The portal will continue calling `getChildGroups` until it receives a `ChildGroupList` with the `isDone` flag set to true. This is done using the constructor `ChildGroupList(ChildGroup[] list, boolean isDone)` If the `IGroup` implementation returns the `ChildGroup`s in batches, it must maintain state internally and return `isDone=false` until the last batch.

  Returns:
    a `ChildGroupList` object containing `ChildGroup`s
  Throws:
    `ServiceException` - if an error occurred
  See Also:
    `ChildGroupList`

### getChildUsers

    public ChildUserList getChildUsers()
                                throws ServiceException

  Returns a `ChildUserList` object with an array of `ChildUser`s inside. The portal will continue calling `getChildUsers` until it receives a `ChildUserList` with the `isDone` flag set to true. This is done using the constructor `ChildUserList(ChildUser[] list, boolean isDone)` If the `IUser` implementation returns the `ChildUser`s in batches, it must maintain state internally and return `isDone=false` until the last batch.

  Returns:
    a `ChildUserList` object containing `ChildUser`s
  Throws:
    `ServiceException` - if an error occurred
  See Also:
    `ChildUserList`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.